Bug 993417 - [Sprint 50] More information on sizing gears and formulas pertaining to numbers in the node_profile definition (/etc/openshift/resource_limits.conf)
[Sprint 50] More information on sizing gears and formulas pertaining to numbe...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Alex Dellapenta
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 17:30 EDT by dchia
Modified: 2017-03-08 12 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-24 15:12:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dchia 2013-08-05 17:30:27 EDT
Description of problem:
Customer would like to see more information on sizing gears and formulas pertaining to numbers in the node_profile definition (/etc/openshift/resource_limits.conf)
Comment 3 Alex Dellapenta 2014-03-07 17:47:35 EST
Hi David,

Section 4.1 "Capacity Planning and Districts"[1] was added to the OSE 2.0 Administration Guide under the "Resource Management" chapter. Specifically, do you feel Section 4.1.3.1 "Gear Capacity Planning for Nodes"[2] and its surrounding sections satisfy the original BZ request? Section 4.3 "Adding New Gear Profiles"[3] I believe was also new to the 2.0 docs; though it doesn't get specific about actual gear size numbers/formulas, the procedures may provide helpful context.

If more information is still required, can you provide any specifics about what settings they're looking for more information on that isn't covered by the 2.0 docs or the comments in the latest /etc/openshift/resource_limits.conf?

Thank you.

[1] https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#sect-Capacity_Planning_and_Districts

[2] https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#Gear_Capacity_Planning_for_Nodes

[3] https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/2/html-single/Administration_Guide/index.html#Adding_New_Gear_Profiles
Comment 4 Brenton Leanhardt 2014-03-26 08:36:57 EDT
One thing that we need to make more clear is requirements for certain cartridge types.  See Bug #1043414 for example.  In order for the EAP cartridge to work QE needed to increase the default nproc setting in resource_limits.conf.  It would be wise to increase the memory settings as well.
Comment 5 Bilhar 2014-05-06 01:34:18 EDT
Hi David. Can you please confirm the inform that's been updated or added as per https://bugzilla.redhat.com/show_bug.cgi?id=993417#c3 is sufficient to close this BZ. Otherwise, can you please provide more info as to what we need to document. 

Alex, can we please make sure we address the issue highlighted by Brenton in https://bugzilla.redhat.com/show_bug.cgi?id=993417#c4.
Comment 8 Alex Dellapenta 2014-10-24 15:12:36 EDT
The last bit of this (the EAP-related details in comment 4) was resolved with the publication of "Configuring Node Hosts for the JBoss EAP Cartridge" in the following new section of the OSE 2 Deployment Guide:

https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/Deployment_Guide/index.html#Configuring_Node_Hosts_for_xPaaS_Cartridges

Note You need to log in before you can comment on or make changes to this bug.